Magick++: Magick::DrawableAffine Class Reference

Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableAffine Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableAffine:
[legend]
Collaboration diagram for Magick::DrawableAffine:
[legend]

## Public Member Functions
| DrawableAffine (double sx_, double sy_, double rx_, double ry_, double tx_, double ty_)
| DrawableAffine (void)
| ~DrawableAffine (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | sx (const double sx_)
double | sx (void) const
void | sy (const double sy_)
double | sy (void) const
void | rx (const double rx_)
double | rx (void) const
void | ry (const double ry_)
double | ry (void) const
void | tx (const double tx_)
double | tx (void) const
void | ty (const double ty_)
double | ty (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 270 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableAffine::DrawableAffine | ( | double | sx_,
|  | double | sy_,
|  | double | rx_,
|  | double | ry_,
|  | double | tx_,
|  | double | ty_
| ) |  |

Definition at line 220 of file Drawable.cpp.

Magick::DrawableAffine::DrawableAffine | ( | void |  | ) |

Definition at line 231 of file Drawable.cpp.

Magick::DrawableAffine::~DrawableAffine | ( | void |  | ) |

Definition at line 235 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawableAffine::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 242 of file Drawable.cpp.

void Magick::DrawableAffine::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 238 of file Drawable.cpp.

void Magick::DrawableAffine::rx | ( | const double | rx_ | ) |
| inline

Definition at line 306 of file Drawable.h.

Referenced by Magick::Image::affineTransform().

double Magick::DrawableAffine::rx | ( | void |  | ) | const
| inline

Definition at line 310 of file Drawable.h.

void Magick::DrawableAffine::ry | ( | const double | ry_ | ) |
| inline

Definition at line 315 of file Drawable.h.

Referenced by Magick::Image::affineTransform().

double Magick::DrawableAffine::ry | ( | void |  | ) | const
| inline

Definition at line 319 of file Drawable.h.

void Magick::DrawableAffine::sx | ( | const double | sx_ | ) |
| inline

Definition at line 288 of file Drawable.h.

Referenced by Magick::Image::affineTransform().

double Magick::DrawableAffine::sx | ( | void |  | ) | const
| inline

Definition at line 292 of file Drawable.h.

void Magick::DrawableAffine::sy | ( | const double | sy_ | ) |
| inline

Definition at line 297 of file Drawable.h.

Referenced by Magick::Image::affineTransform().

double Magick::DrawableAffine::sy | ( | void |  | ) | const
| inline

Definition at line 301 of file Drawable.h.

void Magick::DrawableAffine::tx | ( | const double | tx_ | ) |
| inline

Definition at line 324 of file Drawable.h.

Referenced by Magick::Image::affineTransform().

double Magick::DrawableAffine::tx | ( | void |  | ) | const
| inline

Definition at line 328 of file Drawable.h.

void Magick::DrawableAffine::ty | ( | const double | ty_ | ) |
| inline

Definition at line 333 of file Drawable.h.

Referenced by Magick::Image::affineTransform().

double Magick::DrawableAffine::ty | ( | void |  | ) | const
| inline

Definition at line 337 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp